summaryrefslogtreecommitdiff
path: root/dev-ruby/stringio
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/stringio')
-rw-r--r--dev-ruby/stringio/Manifest5
-rw-r--r--dev-ruby/stringio/metadata.xml9
-rw-r--r--dev-ruby/stringio/stringio-3.1.6.ebuild32
-rw-r--r--dev-ruby/stringio/stringio-3.1.7.ebuild32
-rw-r--r--dev-ruby/stringio/stringio-3.1.8.ebuild33
-rw-r--r--dev-ruby/stringio/stringio-3.1.9.ebuild33
-rw-r--r--dev-ruby/stringio/stringio-3.2.0.ebuild33
7 files changed, 177 insertions, 0 deletions
diff --git a/dev-ruby/stringio/Manifest b/dev-ruby/stringio/Manifest
new file mode 100644
index 000000000000..d9edd8035e41
--- /dev/null
+++ b/dev-ruby/stringio/Manifest
@@ -0,0 +1,5 @@
+DIST stringio-3.1.6.tar.gz 40290 BLAKE2B 7f768edd55bbb759fe5a96f59fa829367674a54ebd48e10c8e8d45e56deb8e70a92e9cd430e420d648e789def2e14432d7f5ec4ec8ad0aacf19115daac213576 SHA512 9b77c1f631215acf6bdc5da62da20f0bf09b6ae4407aa9130cc46154788e2e656bd5d51635ef17e80e12faaccf6834df567624959fcbf089131543666fa92ebb
+DIST stringio-3.1.7.tar.gz 40428 BLAKE2B 550429733ee34daa92106f874f8a25b995811a13516faa5663a133b8c3eaab3496d5fabf0f86e2221dc142c67a942c9a487eb5897cf6141e78a4c9a8149037f4 SHA512 be0849467cc3a490dff9a4e1ef82d33a1c1593859bdddb79ec8d6e945048a4e5d0ffa74eeae54aff4d2a5d8bbe663afdc8d2fae2d574818adff8c8ac8d3a91be
+DIST stringio-3.1.8.tar.gz 44910 BLAKE2B 9dc552db2343d5701d1a52743474d7ffc748f74f0a623465e1979770e8487e8f357d25fea05a3bfb686de2c1c59e01e6c97d67a0cea45fa6e03e7827c672abf1 SHA512 accb7d5f00b69d7004c86fcebb141f3bbd706895d3b1860570e447f9930a5a10956195f0193c988b29a0cf81b9d22401dbd23896e077c026fbd09325e93a816b
+DIST stringio-3.1.9.tar.gz 45003 BLAKE2B 370f7c83e220138ef823bd4ad3dfedac78934b3f4b3b9f57b6abe0930619796dd78d138312ce04d5d7bb92c41ef2c8bff62138ce23e0e95096146271266ff15d SHA512 a8989d7530715a543c8e59045640bdf680fdbb84cedab2707f64072261f1e9f874f3f0f15ff4a121c3f3b6acf056a5406c4afc74eca6f0f6fa3ed9713c7f9358
+DIST stringio-3.2.0.tar.gz 48992 BLAKE2B f00b0f527d5ec7ce3c8db2e4f3b116867b4e10d07506b61477002018616010d135a0b6a8fff75ca662bd8d43dd0c91fd784e28e993601f0cc46a90e11ecf3abc SHA512 b4fe0d8b4fc11e300116d266445d73409b7feb8c13aa85d965d775ef12120717345e741692ff918bd7be11ed19a1f1c11334eacc34b9e2cc6d9ae2286e18f362
diff --git a/dev-ruby/stringio/metadata.xml b/dev-ruby/stringio/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/stringio/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/stringio/stringio-3.1.6.ebuild b/dev-ruby/stringio/stringio-3.1.6.ebuild
new file mode 100644
index 000000000000..0e787e3eb270
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String"
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/stringio/stringio-3.1.7.ebuild b/dev-ruby/stringio/stringio-3.1.7.ebuild
new file mode 100644
index 000000000000..a4f75d229aa7
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String"
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/stringio/stringio-3.1.8.ebuild b/dev-ruby/stringio/stringio-3.1.8.ebuild
new file mode 100644
index 000000000000..736e859e2409
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.8.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String"
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/stringio/stringio-3.1.9.ebuild b/dev-ruby/stringio/stringio-3.1.9.ebuild
new file mode 100644
index 000000000000..736e859e2409
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.9.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String"
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/stringio/stringio-3.2.0.ebuild b/dev-ruby/stringio/stringio-3.2.0.ebuild
new file mode 100644
index 000000000000..4e5a5e51d582
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String"
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}